MacroGroovyMethods (Groovy 3.0.7)

Package org.codehaus.groovy.macro.methods

## Class MacroGroovyMethods

- java.lang.Object
- - org.codehaus.groovy.macro.methods.MacroGroovyMethods

-     public class MacroGroovyMethods
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `MacroGroovyMethods.MacroValuePlaceholder` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DOLLAR_VALUE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MacroGroovyMethods()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ListExpression` | `buildSubstitutions​(SourceUnit source, ASTNode expr)` |
    `protected static ClosureExpression` | `getClosureArgument​(SourceUnit source, MethodCallExpression call)` |
    `protected static TupleExpression` | `getMacroArguments​(SourceUnit source, MethodCallExpression call)` |
    `static <T> T` | `macro​(Object self, boolean asIs, Closure cl)` |
    `static <T> T` | `macro​(Object self, Closure cl)` |
    `static <T> T` | `macro​(Object self, CompilePhase compilePhase, boolean asIs, Closure cl)` |
    `static <T> T` | `macro​(Object self, CompilePhase compilePhase, Closure cl)` |
    `static Expression` | `macro​(MacroContext macroContext, ClosureExpression closureExpression)` |
    `static Expression` | `macro​(MacroContext macroContext, ConstantExpression asIsConstantExpression, ClosureExpression closureExpression)` |
    `static Expression` | `macro​(MacroContext macroContext, PropertyExpression phaseExpression, ClosureExpression closureExpression)` |
    `static Expression` | `macro​(MacroContext macroContext, PropertyExpression phaseExpression, ConstantExpression asIsConstantExpression, ClosureExpression closureExpression)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DOLLAR_VALUE

          public static final String DOLLAR_VALUE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MacroGroovyMethods

          public MacroGroovyMethods()

  - ### Method Detail

    - #### macro

          public static <T> T macro​(Object self,
                                    @DelegatesTo(MacroValuePlaceholder.class)
                                    Closure cl)

    - #### macro

          public static Expression macro​(MacroContext macroContext,
                                         ClosureExpression closureExpression)

    - #### macro

          public static <T> T macro​(Object self,
                                    boolean asIs,
                                    @DelegatesTo(MacroValuePlaceholder.class)
                                    Closure cl)

    - #### macro

          public static Expression macro​(MacroContext macroContext,
                                         ConstantExpression asIsConstantExpression,
                                         ClosureExpression closureExpression)

    - #### macro

          public static <T> T macro​(Object self,
                                    CompilePhase compilePhase,
                                    @DelegatesTo(MacroValuePlaceholder.class)
                                    Closure cl)

    - #### macro

          public static Expression macro​(MacroContext macroContext,
                                         PropertyExpression phaseExpression,
                                         ClosureExpression closureExpression)

    - #### macro

          public static <T> T macro​(Object self,
                                    CompilePhase compilePhase,
                                    boolean asIs,
                                    @DelegatesTo(MacroValuePlaceholder.class)
                                    Closure cl)

    - #### macro

          public static Expression macro​(MacroContext macroContext,
                                         PropertyExpression phaseExpression,
                                         ConstantExpression asIsConstantExpression,
                                         ClosureExpression closureExpression)

    - #### buildSubstitutions

          public static ListExpression buildSubstitutions​(SourceUnit source,
                                                          ASTNode expr)

    - #### getMacroArguments

          protected static TupleExpression getMacroArguments​(SourceUnit source,
                                                             MethodCallExpression call)

    - #### getClosureArgument

          protected static ClosureExpression getClosureArgument​(SourceUnit source,
                                                                MethodCallExpression call)